Rygel.HTTPResponse – librygel-server Reference Manual

# HTTPResponse

## Object Hierarchy:

## Description:

public class HTTPResponse : Object, StateMachine
Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public weak Server server { get; }
- public Cancellable cancellable { set; get; }
- public int priority { get; }

### Creation methods:

- public HTTPResponse (HTTPGet request, HTTPGetHandler request_handler, DataSource src) throws Error

### Methods:

- public List<HTTPResponseElement>? preroll () throws Error
- public async void run ()
- public virtual void end (bool aborted, uint status)

### Fields:

- public Message msg
- public HTTPSeekRequest seek
- public PlaySpeedRequest speed

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count

All known members inherited from interface Rygel.StateMachine

- cancellable

- run

- completed